> ## Documentation Index
> Fetch the complete documentation index at: https://intunedhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Run API - Start

> Start a Run for a Project.



## OpenAPI

````yaml post /{workspaceId}/projects/{projectName}/run/start
openapi: 3.1.0
info:
  title: Intuned Client
  version: 0.0.2
  description: Programmatically trigger automations, manage Jobs, and handle AuthSessions.
  termsOfService: https://intuned.ai/terms
  contact:
    email: founders@intunedhq.com
servers:
  - url: https://app.intuned.io/api/v1/workspace
    description: Base URL for Intuned API.
security:
  - api_key: []
tags:
  - name: projects.jobs
    description: Project Jobs API
  - name: projects.jobs.runs
    description: Project JobRuns API
  - name: projects.runs
    description: Run APIs
  - name: projects.authSessions
    description: Manage AuthSessions
  - name: projects.authSessions.validate
    description: Validate AuthSession
  - name: projects.authSessions.create
    description: Create AuthSession
  - name: projects.authSessions.update
    description: Update AuthSession
externalDocs:
  description: Find out more about Intuned
  url: https://intunedhq.com/docs/
paths:
  /{workspaceId}/projects/{projectName}/run/start:
    post:
      tags:
        - projects.runs
      summary: Run API - Start
      description: Start a Run for a Project.
      operationId: runApiStart
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          description: >-
            Your workspace ID. [How to find
            it](/main/03-how-to/manage/manage-workspace#how-to-get-your-workspace-id)?
          example: 123e4567-e89b-12d3-a456-426614174000
          in: path
          name: workspaceId
          x-speakeasy-globals-hidden: true
        - schema:
            type: string
          required: true
          description: The name you assigned when creating the Project.
          example: my-project
          in: path
          name: projectName
      requestBody:
        description: Run API input schema
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                parameters:
                  type: object
                  additionalProperties: true
                  description: The parameters to be passed to the API.
                  example:
                    param1: value1
                    param2: 42
                    param3: true
                proxy:
                  type:
                    - string
                    - 'null'
                  format: uri
                  description: >-
                    Proxy URL to be used for the API call. This is optional and
                    can be used to route the API call through a proxy server.
                  example: http://username:password@domain:port
                saveTrace:
                  type: boolean
                  default: true
                requestTimeout:
                  type: integer
                  default: 600
                  description: >-
                    Timeout for the API request in seconds. Default is 10
                    minutes (600 seconds).
                  example: 600
                retry:
                  type: object
                  properties:
                    maximumAttempts:
                      type: integer
                      minimum: 1
                      default: 3
                      description: >-
                        Maximum number of attempts to retry the run in case of
                        failure
                      example: 3
                  default:
                    maximumAttempts: 3
                  description: Retry policy configurations in case of failure.
                  example:
                    maximumAttempts: 3
                authSession:
                  anyOf:
                    - type: object
                      properties:
                        id:
                          type: string
                        autoRecreate:
                          type: boolean
                          enum:
                            - true
                          default: true
                        checkAttempts:
                          type: integer
                          default: 3
                          description: >-
                            Number of attempts to check the validity of the
                            AuthSession before recreating it.
                          example: 3
                        createAttempts:
                          type: integer
                          default: 3
                          description: >-
                            Number of attempts to create a new AuthSession if
                            the current one is invalid or expired.
                          example: 3
                        proxy:
                          type:
                            - string
                            - 'null'
                          format: uri
                          description: >-
                            Proxy URL to be used for the API call. This is
                            optional and can be used to route the API call
                            through a proxy server.
                          example: http://username:password@domain:port
                        requestTimeout:
                          type: integer
                          default: 600
                          description: >-
                            Timeout for the API request in seconds. Default is
                            10 minutes (600 seconds).
                          example: 600
                        runtimeInput:
                          type: object
                          additionalProperties: true
                          description: >-
                            Runtime input to be used for the AuthSession. This
                            is optional and can be used to pass dynamic values
                            at runtime.
                          example:
                            username: user
                            password: pass
                      required:
                        - runtimeInput
                      description: >-
                        Runtime based AuthSession config to be used with the
                        run. This is a required field if the AuthSession is
                        enabled on the project and uses runtime input.
                      title: Runtime Based AuthSession Input
                    - type: object
                      properties:
                        id:
                          type: string
                          description: The ID of the AuthSession to use.
                          example: auth-session-123
                        autoRecreate:
                          type: boolean
                          default: true
                          description: >-
                            If true, the AuthSession will be automatically
                            recreated if it is invalid or expired.
                          example: true
                        checkAttempts:
                          type: integer
                          default: 3
                          description: >-
                            Number of attempts to check the validity of the
                            AuthSession before recreating it.
                          example: 3
                        createAttempts:
                          type: integer
                          default: 3
                          description: >-
                            Number of attempts to create a new AuthSession if
                            the current one is invalid or expired.
                          example: 3
                        proxy:
                          type:
                            - string
                            - 'null'
                          format: uri
                          description: >-
                            Proxy URL to be used for the API call. This is
                            optional and can be used to route the API call
                            through a proxy server.
                          example: http://username:password@domain:port
                        requestTimeout:
                          type: integer
                          default: 600
                          description: >-
                            Timeout for the API request in seconds. Default is
                            10 minutes (600 seconds).
                          example: 600
                      required:
                        - id
                      description: >-
                        Credentials based AuthSession config to be used with the
                        run. This is a required field if the AuthSession is
                        enabled on the project and uses credentials.
                      title: Credentials Based AuthSession Input
                  description: >-
                    AuthSession config to be used with the run. This is a
                    required field if the AuthSession is enabled on the project.
                sink:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - webhook
                        url:
                          type: string
                          description: The URL to which the webhook will send the data.
                          example: https://example.com/webhook
                        headers:
                          type: object
                          additionalProperties:
                            type: string
                          description: >-
                            Optional headers to be sent with the webhook
                            request.
                          example:
                            Content-Type: application/json
                            Authorization: Bearer token
                        skipOnFail:
                          type: boolean
                          default: false
                          description: >-
                            If true, the webhook will not be sent if the API
                            execution fails.
                        apisToSend:
                          type: array
                          items:
                            type: string
                          minItems: 1
                          description: >-
                            List of API names to be sent to the webhook. If not
                            provided, all APIs will be sent.
                          example:
                            - api1
                            - api2
                      required:
                        - type
                        - url
                      description: Configuration for the webhook sink.
                      title: Webhook Sink Configuration
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - s3
                        bucket:
                          type: string
                          description: >-
                            The name of the S3 bucket where the data will be
                            stored.
                          example: my-s3-bucket
                        accessKeyId:
                          type: string
                          description: The access key ID for the S3 bucket.
                          example: AKIAIOSFODNN7EXSSPLE
                        secretAccessKey:
                          type: string
                          description: The secret access key for the S3 bucket.
                          example: wJalrXUtnFFFI/K7MDENG/bPxRfiCYEXAMPLEKEY
                        region:
                          type: string
                          description: The region where the S3 bucket is located.
                          example: us-west-2
                        prefix:
                          type: string
                          description: >-
                            Optional prefix for the S3 objects. This can be used
                            to organize objects within the bucket.
                          example: my-prefix/
                        skipOnFail:
                          type: boolean
                          default: false
                          description: >-
                            If enabled, failed payload runs will ***not*** be
                            written to the bucket.
                        apisToSend:
                          type: array
                          items:
                            type: string
                          minItems: 1
                          description: >-
                            List of API names to be sent to the S3 bucket. If
                            not provided, all APIs will be sent.
                          example:
                            - api1
                            - api2
                        endpoint:
                          type: string
                          description: >-
                            Optional custom endpoint for the S3 bucket. This can
                            be used for S3-compatible services.
                          example: https://s3.custom-endpoint.com
                        forcePathStyle:
                          type: boolean
                          description: >-
                            If true, the S3 client will use path-style URLs
                            instead of virtual-hosted-style URLs. This is useful
                            for S3-compatible services that require path-style
                            access.
                          example: true
                      required:
                        - type
                        - bucket
                        - accessKeyId
                        - secretAccessKey
                        - region
                      description: Configuration for the S3 sink.
                      title: S3 Sink Configuration
                  description: >-
                    Optional sink configuration for the run. Can be a webhook or
                    S3 sink.
                api:
                  type: string
                  description: >-
                    The name of the API to be executed. This is the file path
                    relative to the `api` folder inside your project.
              required:
                - parameters
                - api
            example:
              api: my-awesome-api
              parameters:
                param1: value1
                param2: 42
                param3: true
              retry:
                maximumAttempts: 3
      responses:
        '201':
          description: Run started successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  runId:
                    type: string
                    description: Unique identifier for the run, prefixed nanoId (ru_...)
                  status:
                    type: string
                    enum:
                      - pending
                required:
                  - runId
                  - status
      x-codeSamples:
        - lang: typescript
          label: runApiStart
          source: |
            import { IntunedClient } from "@intuned/client";

            const client = new IntunedClient({
              workspaceId: "123e4567-e89b-12d3-a456-426614174000",
              apiKey: process.env["INTUNED_API_KEY"] ?? "",
            });

            async function run() {
              const result = await client.projects.runs.start(
                "my-project",
                {
                  parameters: {
                    "param1": "value1",
                    "param2": 42,
                    "param3": true
                  },
                  api: "value",
                },
            );

              console.log(result);
            }

            run();
        - lang: python
          label: Python (SDK)
          source: |-
            from intuned_client import IntunedClient
            from intuned_client import models
            import os


            with IntunedClient(
                workspace_id="123e4567-e89b-12d3-a456-426614174000",
                api_key=os.getenv("INTUNED_API_KEY", ""),
            ) as client:

                res = client.projects.runs.start(
                    project_name="my-project",
                    body=models.RunStartRequestBody(
                            parameters={
                                "param1": "value1",
                                "param2": 42,
                                "param3": True,
                            },
                            api="my-awesome-api",
                            proxy="http://username:password@domain:port",
                            saveTrace=True,
                            requestTimeout=600,
                        ),
                )

                print(res)
components:
  securitySchemes:
    api_key:
      type: apiKey
      description: >-
        API Key used to authenticate your requests. [How to create
        one](/main/03-how-to/manage/manage-api-keys).
      in: header
      name: x-api-key

````